setlocal EnableDelayedExpansion
Set LF=^


for /f %%a in ('copy /z "%~f0" nul') do set "CR=%%a"
"C:\ffmpeg.exe"  -headers "Referer: http://player.meloman.facecast.net/?mode=today&channel=1!CR!!LF!"  -i "http://edge-6.facecast.net/meloman/hls/philharmonic10/1141/480p_full/index.m3u8" -c copy   "C:\Mohammad\m3u8\Video_Files\video2.ts" 